#!/bin/sh
#
# cnp -- Start the TAP desktop client
function backUp
{
	if [ -f $1 ]
	then
		mv -f $1 $2
	fi
}

export KCJ_HOME=|CANDLEHOME|/|BINARCH|/cj
export KCJ_LIB=${KCJ_HOME}/lib
export CLASSPATH=|CANDLEHOME|/JRE/|BINARCH|:${KCJ_LIB}/cnp.jar:${KCJ_LIB}/cnp_vbjorball.jar:${KCJ_LIB}/ae.jar:${KCJ_LIB}/kjrall.jar:${KCJ_LIB}/cnp_jviewsall.jar:${KCJ_LIB}/browser.jar:${KCJ_LIB}/chart.jar:${KCJ_LIB}/terminal.jar:${KCJ_LIB}/util.jar:${KCJ_LIB}/icu4jm32.jar:${KCJ_LIB}/deploy.jar
export CPATH=${CLASSPATH}:.

# Backing up kcjerror files (9 generations)
export LOGFILENAME=|CANDLEHOME|/logs/kcjerror
backUp ${LOGFILENAME}_8.log ${LOGFILENAME}_9.log
backUp ${LOGFILENAME}_7.log ${LOGFILENAME}_8.log
backUp ${LOGFILENAME}_6.log ${LOGFILENAME}_7.log
backUp ${LOGFILENAME}_5.log ${LOGFILENAME}_6.log
backUp ${LOGFILENAME}_4.log ${LOGFILENAME}_5.log
backUp ${LOGFILENAME}_3.log ${LOGFILENAME}_4.log
backUp ${LOGFILENAME}_2.log ${LOGFILENAME}_3.log
backUp ${LOGFILENAME}_1.log ${LOGFILENAME}_2.log
backUp ${LOGFILENAME}.log   ${LOGFILENAME}_1.log

date 2>& 1> ${LOGFILENAME}.log
cd ${KCJ_HOME}
${JAVA_HOME}/bin/java -Xms64m -Xmx256m -showversion -noverify -classpath ${CPATH} -Dkjr.trace.mode=LOCAL -Dkjr.trace.file=|CANDLEHOME|/logs/kcjras1.log -Dkjr.trace.params=ERROR -Dibm.stream.nio=true -DORBtcpNoDelay=true -Dice.net.maxPersistentConnections=16 -Dice.net.persistentConnectionTimeout=1 -Dcnp.http.url.host=|CNPSERVERNAME| -Dkjr.browser.default=|BROWSERPATH| -Dvbroker.agent.enableLocator=false -Dhttp.proxyHost=|PSHOST| -Dhttp.proxyPort=|PSPORT| candle.fw.pres.CMWApplet 2>& 1 >> ${LOGFILENAME}.log
